package net.h34t.filemure.core.entity

import java.time.LocalDateTime
import java.util.*

class Document(
    val id: Long,
    val extId: String,
    val title: String,
    val description: String,
    val tags: List<Tag>,
    val created: LocalDateTime,
    val referenceDate: LocalDateTime,
    val files: List<DocFile>,
)

@JvmInline
value class Tag(val value: String)

@JvmInline
value class MimeType(val value: String) {
    init {
        // TODO validate mime type
        // require(value)
    }
}

data class DocFile(
    val id: UUID,
    val filename: String,
    val mimeType: MimeType,
    val created: LocalDateTime,
)

